FxCop 1.36 RTM

I have always been a huge fan of FxCop, especially FxCop 1.36 even though it was a beta release for a long time. I’m happy to say (a bit late) that FxCop 1.36 has finally been released. Some of the improvements are:

The biggest change from the beta is the addition of the “Use only API from targeted framework” rule, which enforces that you use APIs that shipped in RTM versions of a particular Framework. This is very similar to the rule that Krzysztof and I created earlier this year.

I’m not sure about FxCop 1.35 but the 1.36 beta will not detect the new version automatically, so you must download it directly.  Also, be sure to check out the Code Analysis forum for feedback.